SGMLROOT        ?= /usr/share/sgml
DOC_DIR		= lcrash-howto
HTML_DOC_DIR	= $(DOC_DIR)/html
HTML_DOC	= $(HTML_DOC_DIR)/book1.htm
DOC_NAME	= lcrash
SRC_FILES	= lcrash.sgml installation.sgml introduction.sgml\
	generalusage.sgml commandreference.sgml samplesessions.sgml\
	fdl.sgml bibliography.sgml
# gpl-appendix.sgml
JADE		= openjade
#JADE		= jade
#DSL		= docbook.dsl
DSL		= ldp.dsl


all:            html pdf_ldp #ps rtf
		- rm -f $(DOC_NAME).tex
		- cd $(DOC_DIR) && rm -f $(DOC_NAME).dvi
		- cd $(DOC_DIR) && mv $(DOC_NAME)_ldp.pdf $(DOC_NAME).pdf

$(DOC_DIR):	$(HTML_DOC_DIR)

$(HTML_DOC_DIR):
		mkdir -p $(HTML_DOC_DIR)

html:		$(HTML_DOC)

html_one_file:  $(DOC_DIR)/$(DOC_NAME).htm

tex:		$(DOC_NAME).tex

pdf:		$(DOC_DIR)/$(DOC_NAME).pdf

pdf_ldp:        $(DOC_DIR)/$(DOC_NAME)_ldp.pdf

dvi:		$(DOC_DIR)/$(DOC_NAME).dvi

ps:		$(DOC_DIR)/$(DOC_NAME).ps

rtf:		$(DOC_DIR)/$(DOC_NAME).rtf

$(DOC_DIR)/$(DOC_NAME)_ldp.pdf: $(DOC_DIR)/$(DOC_NAME).htm $(DOC_DIR)
		cd $(DOC_DIR) &&\
		cp $(DOC_NAME).htm $(DOC_NAME)_ldp.htm &&\
		ldp_print $(DOC_NAME)_ldp.htm &&\
		rm $(DOC_NAME)_ldp.htm

$(DOC_DIR)/$(DOC_NAME).pdf: $(DOC_NAME).tex $(SRC_FILES) $(DOC_DIR)
		cd $(DOC_DIR) &&\
		pdfjadetex ../$(DOC_NAME).tex &&\
		pdfjadetex ../$(DOC_NAME).tex &&\
		pdfjadetex ../$(DOC_NAME).tex &&\
		rm -f *.out *.log *.aux

$(DOC_DIR)/$(DOC_NAME).dvi: $(DOC_NAME).tex $(SRC_FILES) $(DOC_DIR)
		cd $(DOC_DIR) &&\
		jadetex ../$(DOC_NAME).tex &&\
		jadetex ../$(DOC_NAME).tex &&\
		jadetex ../$(DOC_NAME).tex &&\
		rm -f *.out *.log *.aux

$(DOC_DIR)/$(DOC_NAME).ps: $(DOC_DIR)/$(DOC_NAME).dvi $(SRC_FILES) $(DOC_DIR)
		cd $(DOC_DIR) &&\
		dvips -D600 $(DOC_NAME).dvi -o $(DOC_NAME).ps

$(HTML_DOC):	$(SRC_FILES) $(DOC_DIR)
		cd $(HTML_DOC_DIR) &&\
		$(JADE) -t sgml -i html -d $(SGMLROOT)/docbkdsl/html/$(DSL)\
		-V %use-id-as-filename%=t ../../lcrash.sgml

$(DOC_DIR)/$(DOC_NAME).htm: $(SRC_FILES) $(DOC_DIR)
		$(JADE) -t sgml -i html -d $(SGMLROOT)/docbkdsl/html/$(DSL)\
		 -V nochunks lcrash.sgml >$(DOC_DIR)/$(DOC_NAME).htm

$(DOC_DIR)/$(DOC_NAME).rtf: $(SRC_FILES) $(DOC_DIR)
		$(JADE) -t rtf -d $(SGMLROOT)/docbkdsl/print/$(DSL)\
		-o $(DOC_DIR)/$(DOC_NAME).rtf lcrash.sgml

$(DOC_NAME).tex: $(SRC_FILES)
		$(JADE) -t tex -d $(SGMLROOT)/docbkdsl/print/$(DSL)\
		lcrash.sgml
clean:
		- rm -f $(DOC_DIR)/*
		- rm -f $(HTML_DOC_DIR)/*
		- rm -f $(DOC_NAME).tex
		- rm -f lcrash_howto.tgz

package:	all
		tar czf lcrash_howto.tgz doc/html/*.htm doc/lcrash*
